## AgsFxPatternAudio

AgsFxPatternAudio — fx pattern audio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxPatternAudio * | ags_fx_pattern_audio_new ()

## Properties

AgsPort * | bank-index-0 | Read / Write
AgsPort * | bank-index-1 | Read / Write
AgsPort * | bpm | Read / Write
AgsPort * | delay | Read / Write
AgsPort * | duration | Read / Write
AgsPort * | loop | Read / Write
AgsPort * | loop-end | Read / Write
AgsPort * | loop-start | Read / Write
AgsPort * | tact | Read / Write

## Types and Values

#define | AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_START
#define | AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_END

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxPatternAudio

## Includes

    #include <ags/audio/fx/ags_fx_pattern_audio.h>

## Description

The AgsFxPatternAudio class provides ports to the effect processor.

## Functions

### ags_fx_pattern_audio_new ()

    AgsFxPatternAudio *
    ags_fx_pattern_audio_new (AgsAudio *audio);

Create a new instance of AgsFxPatternAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxPatternAudio

Since: 3.3.0

## Types and Values

### AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_START

    #define AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_START (0)

### AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_END

    #define AGS_FX_PATTERN_AUDIO_DEFAULT_LOOP_END (16)

## Property Details

### The `“bank-index-0”` property

      “bank-index-0”             AgsPort *

Selected bank index 0.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“bank-index-1”` property

      “bank-index-1”             AgsPort *

Selected bank index 1.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“bpm”` property

      “bpm”                      AgsPort *

The beats per minute.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“delay”` property

      “delay”                    AgsPort *

The pattern's delay.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“duration”` property

      “duration”                 AgsPort *

The pattern's duration.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop”` property

      “loop”                     AgsPort *

Do loop.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-end”` property

      “loop-end”                 AgsPort *

The pattern's loop-end.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-start”` property

      “loop-start”               AgsPort *

The pattern's loop-start.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0

### The `“tact”` property

      “tact”                     AgsPort *

The tact segmentation.

Owner: AgsFxPatternAudio

Flags: Read / Write

Since: 3.3.0